/**
 * Copyright (c) 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring.mo.api.exception;

import org.ow2.petals.cli.extension.command.monitoring.mo.api.MonitoringObject;

/**
 * A monitoring object exception.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class MonitoringObjectException extends Exception {

    private static final long serialVersionUID = -8822223319042028801L;

    /**
     * The monitoring object implied in the error
     */
    private final MonitoringObject monitoringObject;

    public MonitoringObjectException(final MonitoringObject monitoringObject) {
		super();
        this.monitoringObject = monitoringObject;
	}

    public MonitoringObjectException(final MonitoringObject monitoringObject, final String message,
            final Throwable cause) {
		super(message, cause);
        this.monitoringObject = monitoringObject;
	}

    public MonitoringObjectException(final MonitoringObject monitoringObject, final String message) {
		super(message);
        this.monitoringObject = monitoringObject;
	}

    public MonitoringObjectException(final MonitoringObject monitoringObject, final Throwable cause) {
		super(cause);
        this.monitoringObject = monitoringObject;
	}

    /**
     * @return The monitoring object implied in the error
     */
    public MonitoringObject getMonitoringObject() {
        return this.monitoringObject;
    }

}
